org.apache.commons.lang3.text.translate

## Class OctalUnescaper

- java.lang.Object
- - org.apache.commons.lang3.text.translate.CharSequenceTranslator
  - - org.apache.commons.lang3.text.translate.OctalUnescaper

- Deprecated.
  as of 3.6, use commons-text OctalUnescaper instead

      @Deprecated
      public class OctalUnescaper
      extends CharSequenceTranslator

  Translate escaped octal Strings back to their octal values. For example, "\45" should go back to being the specific value (a %). Note that this currently only supports the viable range of octal for Java; namely 1 to 377. This is because parsing Java is the main use case.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OctalUnescaper()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `translate(CharSequence input, int index, Writer out)` Deprecated. Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints.

    - ### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OctalUnescaper

          public OctalUnescaper()

      Deprecated.

  - ### Method Detail

    - #### translate

          public int translate(CharSequence input,
                               int index,
                               Writer out)
                        throws IOException

      Deprecated.
      Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints. The number of codepoints consumed must be returned, and the only IOExceptions thrown must be from interacting with the Writer so that the top level API may reliably ignore StringWriter IOExceptions.
      Specified by:
        `translate` in class `CharSequenceTranslator`
      Parameters:
        `input` - CharSequence that is being translated
        `index` - int representing the current point of translation
        `out` - Writer to translate the text to
      Returns:
        int count of codepoints consumed
      Throws:
        `IOException` - if and only if the Writer produces an IOException

Copyright © 2001–2021 The Apache Software Foundation. All rights reserved.